# EZ_Lightf

##

##

##

##

##

    NAME
           EZ_Lightf, EZ_Lightfv - set light source parameters

    SYNOPSIS
           #include <EZ.h>

           void EZ_Lightf(int num, int attr, float values)

           void EZ_Lightfv(int num, int attr, float *pvalues)

    ARGUMENTS
           num Specifies a light source. Must be an integer between 0
           and 7.

           attr Specifies which attribute is being updated.  Must  be
           one  of  EZ_EMISSION, EZ_AMBIENT, EZ_DIFFUSE, EZ_SPECULAR,
           EZ_SPOT_DIRECTION,     EZ_POSITION,      EZ_SPOT_EXPONENT,
           EZ_SPOT_CUTOFF, EZ_CONSTANT_ATTENUATION, EZ_LINEAR_ATTENU-
           ATION, EZ_QUADRATIC_ATTENUATION.

           values Specifies the values for the specified attr.

           pvalues Specifies the values for the specified attr in  an
           array of floats.

    DESCRIPTION
           EZ_Lightf/EZ_Lightfv sets values for light properties.

           If  attr  is  one  of EZ_EMISSION, EZ_AMBIENT, EZ_DIFFUSE,
           EZ_SPECULAR,  EZ_SPOT_DIRECTION  or  EZ_POSITION,   values
           should  consist of 4 floats and pvalues should be an array
           of 4 floats, with each in interval [0.0, 1.0].

           If  attr  is  one  of  EZ_SPOT_EXPONENT,   EZ_SPOT_CUTOFF,
           EZ_CONSTANT_ATTENUATION,            EZ_LINEAR_ATTENUATION,
           EZ_QUADRATIC_ATTENUATION, values should be a single  float
           point number.

    SEE ALSO
           EZ_Color3f(3),  EZ_Normal3f(3), EZ_Vertex3f(3), EZ_Materialf(3)
           , EZ_DefineLightSrc(3)